Funnels

Draft Funnel

POST
/v0/projects/{idOrSlug}/funnels/draft

Authorization

apiKeyAuth
headerx-api-key<token>

FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.

Path Parameters

idOrSlug*string

Request Body

application/json
  1. body
prompt*string
current*|null
fields*array<>
values*

Response Body

Success

application/json
  1. response
name*string
description?string|null|null
steps*array<>
exclusions?array<>|null
holdProperty?string|null|null
conversionWindowSeconds*number|
strictOrder*boolean
timeRangeSeconds*number|
Example Request
curl -X POST 'https://api.faststats.dev/v0/projects/string/funnels/draft' \  -H 'Content-Type: application/json' \  -d '{  "prompt": "string",  "current": {    "name": "string",    "steps": [      {        "id": "string",        "name": "string",        "match": "all",        "filters": [          {            "field": "string",            "operator": "equals",            "value": "string"          }        ]      }    ],    "conversionWindowSeconds": 0,    "strictOrder": true,    "timeRangeSeconds": 0  },  "fields": [    {      "id": "string",      "label": "string",      "type": "string"    }  ],  "values": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}'
Example Response
{  "name": "string",  "description": "string",  "steps": [    {      "type": "event",      "id": "string",      "name": "string",      "match": "all",      "filters": [        {          "field": "string",          "operator": "equals",          "value": "string"        }      ]    }  ],  "exclusions": [    {      "type": "event",      "id": "string",      "name": "string",      "match": "all",      "filters": [        {          "field": "string",          "operator": "equals",          "value": "string"        }      ]    }  ],  "holdProperty": "string",  "conversionWindowSeconds": 0,  "strictOrder": true,  "timeRangeSeconds": 0}